\name{repositories}
\alias{repositories}
\title{A function to choose a repository}
\description{
  This function will find repositories known by the system and present
  them to the user - allowing the user to select a repository for
  further use.
}
\usage{
repositories(recurse = TRUE, method="auto")
}
\arguments{
  \item{recurse}{Whether or not to recurse through subrepositories}
  \item{method}{Method used for file downloads.  See \code{download.file}}
}
\details{
  This function uses the repositories available from the
  \code{repositories2} option.
}
\value{
  A \code{repEntry-class} object representing the selected repository,
  or \code{NULL} if the user selects 0 (no repository).
}
\author{Jeff Gentry}
\seealso{\code{repEntry-class}}
\examples{
  if (interactive()) {
    z <- repositories()
    z
 }
}
\keyword{utilities}
